Package org.apache.uima.resource

# Interface MQMessagingSpecifier

All Superinterfaces:
  `Cloneable`, `MessagingSpecifier`, `MetaDataObject`, `ResourceServiceSpecifier`, `ResourceSpecifier`, `Serializable`, `XMLizable`

public interface MQMessagingSpecifier extends MessagingSpecifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHostServerChannelPort()`
  Returns the host serverChannelPort.
  `int`
  `getTargetServerChannelPort()`
  Returns the target serverChannelPort.
  `void`
  `setHostServerChannelPort(int serverChannelPort)`
  Sets the host serverChannelPort.
  `void`
  `setTargetServerChannelPort(int serverChannelPort)`
  Sets the target serverChannelPort.

  ### Methods inherited from interface org.apache.uima.resource.MessagingSpecifier

  `getHostAddress, getHostMessagingServer, getHostPassword, getHostUser, getMessagingType, getTargetAddress, getTargetMessagingServer, getTargetPassword, getTargetUser, getTimeout, setHostAddress, setHostMessagingServer, setHostPassword, setHostUser, setMessagingType, setTargetAddress, setTargetMessagingServer, setTargetPassword, setTargetUser, setTimeout`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### getHostServerChannelPort

    int getHostServerChannelPort()
    Returns the host serverChannelPort.
    Returns:
      String

  - ### getTargetServerChannelPort

    int getTargetServerChannelPort()
    Returns the target serverChannelPort.
    Returns:
      String

  - ### setHostServerChannelPort

    void setHostServerChannelPort(int serverChannelPort)
    Sets the host serverChannelPort.
    Parameters:
      `serverChannelPort` - The serverChannelPort to set

  - ### setTargetServerChannelPort

    void setTargetServerChannelPort(int serverChannelPort)
    Sets the target serverChannelPort.
    Parameters:
      `serverChannelPort` - The serverChannelPort to set